Toolkits
List available toolkits
Retrieves a comprehensive list of toolkits of their latest versions that are available to the authenticated project. Toolkits represent integration points with external services and applications, each containing a collection of tools and triggers. This endpoint supports filtering by category and management type, as well as different sorting options.
GET
/
api
/
v3.1
/
toolkits
List available toolkits
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "github",
"name": "GitHub",
"type": "native",
"is_local_toolkit": false,
"deprecated": {
"toolkitId": "550e8400-e29b-41d4-a716-446655440000"
},
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"id": "developer-tools",
"name": "Developer Tools"
},
{
"id": "productivity",
"name": "Productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"app_url": "https://github.com"
},
"instant": {
"supported": true
},
"access": "all",
"auth_schemes": [
"oauth2",
"api_key"
],
"composio_managed_auth_schemes": [
"oauth2"
],
"no_auth": false,
"auth_guide_url": "https://composio.dev/auth/github"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Query Parameters
List available toolkits
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "github",
"name": "GitHub",
"type": "native",
"is_local_toolkit": false,
"deprecated": {
"toolkitId": "550e8400-e29b-41d4-a716-446655440000"
},
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"id": "developer-tools",
"name": "Developer Tools"
},
{
"id": "productivity",
"name": "Productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"app_url": "https://github.com"
},
"instant": {
"supported": true
},
"access": "all",
"auth_schemes": [
"oauth2",
"api_key"
],
"composio_managed_auth_schemes": [
"oauth2"
],
"no_auth": false,
"auth_guide_url": "https://composio.dev/auth/github"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}